package com.uas.finance.service;

import com.uas.finance.model.AccountApply;

import java.util.List;

/**
 * 应收账款转让接口层
 * created by shicr on 2018/1/27
 **/
public interface AccountApplyService {

    /**
     * 保存出账申请
     *
     * @param accountApply
     * @return
     */
    AccountApply save(AccountApply accountApply);

    /**
     * 找到某买方下面的所有出账申请
     *
     * @param id
     * @return
     */
    List<AccountApply> findByCq_id(Long id);

    /**
     * 根据保理申请单号和下载状态找到单据
     *
     * @param fauu
     * @param erpstatus
     * @return
     */
    List<AccountApply> findByFauuAndErpstatus(Long fauu, Integer erpstatus);

    /**
     * 正式提交出账申请
     *
     * @param accountApply
     * @return
     */
    AccountApply submit(AccountApply accountApply);

    /**
     * 找到某条出账单
     * @param id
     * @return
     */
    AccountApply findOne(Long id);
}
